<?php

namespace Module\CustomForm\CustomForm\Model;


use Boutique;
use ByDedi\Module\CustomForm\Model\FormEntity;

class ActiveFormEntity extends FormEntity
{
    public function getQuery($formvars = [])
    {
        $query = parent::getQuery($formvars);
        $boutique = Boutique::getInstance();
        $query
            ->innerJoin(
                'form_boutique',
                'AND',
                ['fb.form_id', 'f.form_id'],
                ['fb.boutique_id', $boutique->id],
                ['fb.form_boutique_statut_id', 1]
            )
            ->where('f.form_statut_id', self::FORM_STATUT_ACTIVE)
        ;

        return $query;
    }

    public function getFields()
    {
        if ($this->fields === null) {
            if (empty($this->getId())) {
                return [];
            }

            $field = new ActiveFormFieldEntity();
            $this->fields = $field->getByForm($this);
        }

        return $this->fields;
    }
}