<?php

namespace Module\CustomForm\CustomForm\Model;


use Boutique;
use ByDedi\Module\CustomForm\Model\FieldEntity;

class ActiveFormFieldEntity extends FieldEntity
{
    /**
     * @param array $formvars
     * @return mixed
     */
    public function getQuery($formvars = [])
    {
        $boutique = Boutique::getInstance();
        $query = parent::getQuery($formvars);

        $query->innerJoin(
            'form_field_boutique',
            'AND',
            ['ffb.form_field_id', 'ff.form_field_id'],
            ['ffb.boutique_id', $boutique->id],
            ['ffb.form_field_boutique_statut_id', 1]
        );

        $query->where('form_field_statut_id', self::STATUT_ACTIVE)
            ->order('ff.form_field_rang');

        return $query;
    }

    /**
     * @return Constraint[]
     */
    public function getConstraints()
    {
        if ($this->constraints === null) {
            if (empty($this->getId())) {
                return [];
            }

            $constraint = new ActiveConstraint();
            $this->constraints = $constraint->getByField($this);
        }

        return $this->constraints;
    }

}