<?php

use Phinx\Migration\AbstractMigration;

class FieldFormManyToMany extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {

        $this->table("form_form_field", ["id" => "form_form_field_id"])
            ->addColumn("form_id", "integer", ["null" => false])
            ->addColumn("form_field_id", "integer", ["null" => false])
            ->addIndex(["form_id"], ["unique" => false])
            ->addIndex(["form_field_id"], ["unique" => false])
            ->create();

        $sql = "INSERT INTO form_form_field (form_field_id, form_id) SELECT ff.form_field_id, ff.form_id FROM form_field ff";
        $this->execute($sql);

        $this->table("form_field")
            ->dropForeignKey("form_id")
            ->removeColumn("form_id")
            ->update();
    }
}
